UnreachableBrowserException: Error communicating with the remote browser. It may have died !


 
 
So this is something I learnt the hardway , all of a sudden the selenium scripts throw an error:
org.openqa.selenium.remote.UnreachableBrowserException: Error communicating with the remote browser. It may have died.

I am not sure which one might work for you but I am sure things that will not work:
1. Upgarding firefox or any browser
2. Adding/Deleting the jar files
3. Changing the driver to instantiate the browser
4. Killing or trying to find orphan processes
 
Solutions:
  • Cherck for compatibilty of browser with selenium
  • Make sure that there are no warnings in your code 
  • Open the browser (in my case firefox)
    Go to the address bar and type about:config
    Right-click and create a new boolean value
    and name its as extensions.checkCompatibility.19.0
    Set this value to false
    restart the browser
  • Make sure you update the objects properties 

Finally also be sure that you check different websites and objects!

Happy Coding...

Comments

  1. Hi,

    I am getting this issue in android driver, any suggestion i tried all the above steps but it did not solve my problem

    ReplyDelete
  2. Anonymous27/3/15

    I m getting problem on how to launch iphone simulator and inspector through appium as it is throwing error "Could Not Launch Appium Inspector - Could not start a new session

    Be sure the Appium server is running with an application opened by using the "App Path" parameter in Appium.app (along with package and activity for Android) or by connecting with selenium client and supplying this in the desired capabilities object."

    Please help If anyone can help


    And also having confusion that what app path need to be provide in the app path in appium. If someone know please help me out in this too by step by step representation.

    Waiting for any help

    ReplyDelete
  3. I m using Appium 1.5.1 version, Android emulator version Nexus 5.1 with selenium latest version(I tried it Selenium 2.53.1 version as well), Getting the same error, just bring you attention sometime it works, somrtime not.

    ReplyDelete

Post a Comment

Popular posts from this blog

XPATH for IE / internet explorer

Website's underlying technology for automation

All time good software testing books!